# -*- coding: utf-8 -*-
"""
Created on Sun Jun 25 15:31:23 2023

@author: RacingSnake
"""

import pandas as pd
import numpy as np
import matplotlib.pyplot as plt
#from matplotlib.colors import ListedColormap, LinearSegmentedColormap
#import colorsys
#import matplotlib.pylab as pl

data = pd.read_csv('EXP-3_section3.csv')

fig = plt.figure(figsize=(14,8))
ax = fig.add_subplot(1,1,1)

cycles_list = [15,17,18,20]
discharge_currents_list = ['10mA','20mA','30mA','50mA']

#n = len(cycles_list)
#colors = pl.cm.jet(np.linspace(0,1,n))

data_dict = {}
for cycle_number, discharge_current in zip(cycles_list, discharge_currents_list):
    data_dict[cycle_number] = data[data['cycle number'] == cycle_number]
    cycle_duration = len(data_dict[cycle_number])
    abscissa = list(range(0,cycle_duration))
    ax.plot(abscissa, data_dict[cycle_number]['Ewe/V'], label=discharge_current)
    
ax.grid(linestyle='--',color='lightgrey')
ax.set_xlabel('Time (s)')
ax.set_ylabel('Cell Potential (V)')
ax.legend(loc='upper right')
ax.set_title('Charge-Discharge Cycles (variable discharge currents)')

ax.axvline(x=0, ymin=0, ymax=1.9, linestyle='--', color='k', linewidth=0.5)
ax.axvline(x=300, ymin=0, ymax=1.9, linestyle='--', color='k', linewidth=0.5)
ax.axvline(x=330, ymin=0, ymax=1.9, linestyle='--', color='k', linewidth=0.5)
ax.axvline(x=630, ymin=0, ymax=1.9, linestyle='--', color='k', linewidth=0.5)
ax.axvline(x=660, ymin=0, ymax=1.9, linestyle='--', color='k', linewidth=0.5)

    
    
    
    
# Might be worth making a class called 'cycle'?


